%define game_name draci-historie
%define name scummvm-%game_name
%define version 1.0
%define distsuffix plf
%define release %mkrel 1
%define scummvmdir %{_datadir}/scummvm/

Summary: A czech adventure game using scummvm
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.ucw.cz/draci-historie/binary/%{game_name}.tar.bz2
License: GPLv2
Url:     http://www.ucw.cz/draci-historie
Group:      Games/Adventure
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
Requires: scummvm >= 1.1.0
Requires: locales-cs
BuildArch: noarch

%description
Dragon History is a Czech adventure game. The main hero is a little
dragon called Bert, who is searching for his father that disappeared a
short time ago, and remedy the mischiefs that he committed with evil
magic wand Eveline.

We developed Dragon History in 1995. The game contains 40 locations,
it is completely dubbed in Czech, and it was the first Czech CD game
ever.

In 2006, Robert Špalek released the source codes under the GNU GPL2
license. In 2009, the game was reimplemented inside the ScummVM
meta-engine and now it is playable on a few dozen most common
platforms.

This package is in PLF as it depends on ScummVM.

%prep
%setup -q -n %{game_name}

%build
%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{scummvmdir}/%game_name
cp * $RPM_BUILD_ROOT/%{scummvmdir}/%game_name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{game_name}.desktop << EOF
[Desktop Entry]
Name=Draci historie
Comment=%summary
Exec=%_gamesbindir/scummvm -p %{scummvmdir}/%game_name/ draci
Icon=scummvm
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 
%{scummvmdir}/%{game_name}
%_datadir/applications/%{game_name}.desktop

%changelog
* Mon Apr  5 2010 Götz Waschk <goetz@zarb.org> 1.0-1plf2010.1
- initial package based on Petr Šafařík's package
